org.apache.storm.generated

## Class SettableBlobMeta

- java.lang.Object
- - org.apache.storm.generated.SettableBlobMeta

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable<SettableBlobMeta>, org.apache.storm.thrift.TBase<SettableBlobMeta,SettableBlobMeta._Fields>, org.apache.storm.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.12.0)")
      public class SettableBlobMeta
      extends Object
      implements org.apache.storm.thrift.TBase<SettableBlobMeta,SettableBlobMeta._Fields>, Serializable, Cloneable, Comparable<SettableBlobMeta>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SettableBlobMeta._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<SettableBlobMeta._Fields,org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SettableBlobMeta()`
    `SettableBlobMeta(List<AccessControl> acl)`
    `SettableBlobMeta(SettableBlobMeta other)` Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add_to_acl(AccessControl elem)`
    `void` | `clear()`
    `int` | `compareTo(SettableBlobMeta other)`
    `SettableBlobMeta` | `deepCopy()`
    `boolean` | `equals(Object that)`
    `boolean` | `equals(SettableBlobMeta that)`
    `SettableBlobMeta._Fields` | `fieldForId(int fieldId)`
    `Iterator<AccessControl>` | `get_acl_iterator()`
    `int` | `get_acl_size()`
    `List<AccessControl>` | `get_acl()`
    `int` | `get_replication_factor()`
    `Object` | `getFieldValue(SettableBlobMeta._Fields field)`
    `int` | `hashCode()`
    `boolean` | `is_set_acl()` Returns true if field acl is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_replication_factor()` Returns true if field replication_factor is set (has been assigned a value) and false otherwise
    `boolean` | `isSet(SettableBlobMeta._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.storm.thrift.protocol.TProtocol iprot)`
    `void` | `set_acl_isSet(boolean value)`
    `void` | `set_acl(List<AccessControl> acl)`
    `void` | `set_replication_factor_isSet(boolean value)`
    `void` | `set_replication_factor(int replication_factor)`
    `void` | `setFieldValue(SettableBlobMeta._Fields field, Object value)`
    `String` | `toString()`
    `void` | `unset_acl()`
    `void` | `unset_replication_factor()`
    `void` | `validate()`
    `void` | `write(org.apache.storm.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<SettableBlobMeta._Fields,org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### SettableBlobMeta

          public SettableBlobMeta()

    - #### SettableBlobMeta

          public SettableBlobMeta(List<AccessControl> acl)

    - #### SettableBlobMeta

          public SettableBlobMeta(SettableBlobMeta other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public SettableBlobMeta deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<SettableBlobMeta,SettableBlobMeta._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<SettableBlobMeta,SettableBlobMeta._Fields>`

    - #### get_acl_size

          public int get_acl_size()

    - #### get_acl_iterator

          public Iterator<AccessControl> get_acl_iterator()

    - #### add_to_acl

          public void add_to_acl(AccessControl elem)

    - #### get_acl

          public List<AccessControl> get_acl()

    - #### set_acl

          public void set_acl(List<AccessControl> acl)

    - #### unset_acl

          public void unset_acl()

    - #### is_set_acl

          public boolean is_set_acl()

      Returns true if field acl is set (has been assigned a value) and false otherwise

    - #### set_acl_isSet

          public void set_acl_isSet(boolean value)

    - #### get_replication_factor

          public int get_replication_factor()

    - #### set_replication_factor

          public void set_replication_factor(int replication_factor)

    - #### unset_replication_factor

          public void unset_replication_factor()

    - #### is_set_replication_factor

          public boolean is_set_replication_factor()

      Returns true if field replication_factor is set (has been assigned a value) and false otherwise

    - #### set_replication_factor_isSet

          public void set_replication_factor_isSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(SettableBlobMeta._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<SettableBlobMeta,SettableBlobMeta._Fields>`

    - #### getFieldValue

          public Object getFieldValue(SettableBlobMeta._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<SettableBlobMeta,SettableBlobMeta._Fields>`

    - #### isSet

          public boolean isSet(SettableBlobMeta._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<SettableBlobMeta,SettableBlobMeta._Fields>`

    - #### equals

          public boolean equals(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals(SettableBlobMeta that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo(SettableBlobMeta other)

      Specified by:
        `compareTo` in interface `Comparable<SettableBlobMeta>`

    - #### fieldForId

          public SettableBlobMeta._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<SettableBlobMeta,SettableBlobMeta._Fields>`

    - #### read

          public void read(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

Copyright © 2019 The Apache Software Foundation. All rights reserved.